Config::Model::Backend::Dpkg::Control(3pm)

NAME
Config::Model::Backend::Dpkg::Control - Read and write Debian Dpkg control information

SYNOPSIS
No synopsis. This class is dedicated to configuration class "Dpkg::Control"

DESCRIPTION
This module is used directly by Config::Model to read or write the content of Debian "control" file.

All "control" files keyword are read in a case-insensitive manner.

CONSTRUCTOR

  new
Parameters: "node => $node_obj, name => 'Dpkg::Control'"

Inherited from Config::Model::Backend::Any. The constructor will be called by Config::Model::AutoRead.

  read
Read control file and return 1.

  write
Write data to control file and return 1.

AUTHOR
Dominique Dumont, (ddumont at cpan dot org)

SEE ALSO
Config::Model, Config::Model::AutoRead, Config::Model::Backend::Any,